#ifndef BPSJavaScriptDelayedCall_h
#define BPSJavaScriptDelayedCall_h

#import <Foundation/Foundation.h>

//! Internall class.
@interface BPSJavaScriptDelayedCall : NSObject

@property NSString *script;

@property void (^completionHandler)(id, NSError *error);

+ (BPSJavaScriptDelayedCall *)newWithScript: (NSString *)script
                      withCompletionHandler: (void (^)(id, NSError *error))completionHandler;

@end

#endif /* BPSJavaScriptDelayedCall_h */
