#ifndef BPSMLiveStream_h
#define BPSMLiveStream_h

#import <Foundation/Foundation.h>

//! Configuration holder for liveStream transmission additonal configuration.
@interface BPSMLiveStream : NSObject

//! Planned end date of transmission. Date time stored as ISO 8601 string (https://en.wikipedia.org/wiki/ISO_8601)
@property NSString *endDate;

//! URL to custom end splash screen presented after live stream transmission.
@property NSString *thankYouImageUrl;

+ (BPSMLiveStream *) newFromNSDictionary: (NSDictionary *)dict;

- (NSDictionary *) toNSDictionary;

@end

#endif /* BPSMLiveStream_h */
